Package fr.gouv.vitam.processing.common.exception

# Class ProcessingObjectGroupMasterMandatoryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.processing.common.exception.ProcessingException
fr.gouv.vitam.processing.common.exception.ProcessingObjectGroupMasterMandatoryException

All Implemented Interfaces:
  `Serializable`

public class ProcessingObjectGroupMasterMandatoryException extends ProcessingException
Define a Processing Exception to be thrown when an error with master is not present in the manifest, not a fatal error

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessingObjectGroupMasterMandatoryException(String message, String objectGroupId)`
  `ProcessingObjectGroupMasterMandatoryException(String message, Throwable cause, String objectGroupId)`
  `ProcessingObjectGroupMasterMandatoryException(Throwable cause, String objectGroupId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getObjectGroupId()`
  `ProcessingObjectGroupMasterMandatoryException`
  `setObjectGroupId(String objectGroupId)`

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProcessingObjectGroupMasterMandatoryException

    public ProcessingObjectGroupMasterMandatoryException(String message, Throwable cause, String objectGroupId)

  - ### ProcessingObjectGroupMasterMandatoryException

    public ProcessingObjectGroupMasterMandatoryException(Throwable cause, String objectGroupId)

  - ### ProcessingObjectGroupMasterMandatoryException

    public ProcessingObjectGroupMasterMandatoryException(String message, String objectGroupId)

- ## Method Details

  - ### getObjectGroupId

    public String getObjectGroupId()

  - ### setObjectGroupId

    public ProcessingObjectGroupMasterMandatoryException setObjectGroupId(String objectGroupId)